## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global   commit        7460f0c6e2db7013deba9146b2955098d70db80b
%global   shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           ladybird
Version:        0.0^20241111.7460f0c
Release:        %{autorelease}
Summary:        Truly independent web browser 

License:        BSD-2-Clause
URL:            https://ladybird.org
Source0:        https://github.com/LadybirdBrowser/ladybird/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        https://curl.se/ca/cacert-2023-12-12.pem

BuildRequires: autoconf-archive
BuildRequires: automake
BuildRequires: ccache
BuildRequires: cmake
BuildRequires: curl
BuildRequires: icu
BuildRequires: fontconfig-devel
BuildRequires: liberation-sans-fonts
BuildRequires: libglvnd-devel
BuildRequires: libicu-devel
BuildRequires: nasm
BuildRequires: ninja-build
BuildRequires: perl-FindBin
BuildRequires: perl-IPC-Cmd
BuildRequires: python3
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qttools-devel
BuildRequires: qt6-qtwayland-devel
BuildRequires: rust-tiny-skia-devel
BuildRequires: simdutf-devel
BuildRequires: tar
BuildRequires: unzip
BuildRequires: zip
BuildRequires: zlib-ng-compat-static

Requires:      liberation-sans-fonts

%description
Ladybird is a truly independent web browser, using a novel engine based on web
standards.

We aim to build a complete, usable browser for the modern web.

Ladybird uses a multi-process architecture with a main UI process, several
WebContent renderer processes, an ImageDecoder process, and a RequestServer process.

Image decoding and network connections are done out of process to be more robust
against malicious content. Each tab has its own renderer process, which is sandboxed
from the rest of the system.

%prep
%autosetup -n %{name}-%{commit}


%build
mkdir -p %{_vpath_builddir}/caches/CACERT/
cp %{SOURCE1}  %{_vpath_builddir}/caches/CACERT/
ls %{_vpath_builddir}/caches/CACERT/

%cmake -DENABLE_NETWORK_DOWNLOADS=OFF
%cmake_build


%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%doc ISSUES.md
%doc SECURITY.md
%{_bindir}/ladybird



%changelog
## START: Generated by rpmautospec
* Mon Nov 11 2024 John Doe <packager@example.com> - 0.0^20241111.7460f0c-1
- Uncommitted changes
## END: Generated by rpmautospec
